Subject: RE: DSTM-ports Considered Harmful [Re: (ngtrans) final ngtransagendafor IETF-53 in Minneapolis]

From: "Bound, Jim" <[email-masked]>
Date: Tue, 19 Mar 2002 02:03:17 -0500

True that this extends the life of IPv4 as you say.  

The assumption and I why I support it as extension to DSTM is that in a
predominant IPv6 network or one that is virtually predominant (this
means user is trying reduce reliance on IPv4) the DSTM port option may
help a department or office or home environment use the limited global
address space it has with a port option.

Would NAT-PT work better?  I don't think so.  DSTM permits the e2e
security and application model to run over the network.  Clearly on the
Internet its a bigger bite of faith to believe all the deployment parts
can be done and implemented.  But if we can get Shipworm done we can get
this done too.

/jim

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]]
> Sent: Monday, March 18, 2002 11:22 PM
> To: Myung-Ki Shin
> Cc: Francis Dupont; Alain Durand; Yasevich, Vladislav; NGtrans List
> Subject: Re: DSTM-ports Considered Harmful [Re: (ngtrans) final
> ngtransagendafor IETF-53 in Minneapolis]
> 
> 
> On Tue, 19 Mar 2002, Myung-Ki Shin wrote:
> 
> > Pekka Savola wrote:
> > 
> > > > => IMHO the port option is like adding a NAT in DSTM. 
> It saves addresses
> > > > but remains an abomination.
> > >
> > > IMHO if you really have to save addresses, why don't you 
> just give out
> > > private IPv4 addresses to the DSTM nodes and do NAT.  Much cleaner
> > > solution, and nothing to do with IPv6 then!
> > 
> >   In my opinion,  at least, DSTM+NAT is bad approach.
> >   As I said, one of DSTM benefits is to provide end-2-end 
> computing for IPv4
> > without
> >   translation.
> 
> I'm not sure if that's a goal of DSTM: the goal of DSTM is to 
> be able to 
> run IPv6-only network infrastructure with dual-stack nodes.
> 
> Sure, getting end-2-end IPv4 is always a plus, but nothing 
> specific to 
> DSTM. And there should be some use for IPv6 too ;-)
> 
> -- 
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Tue, 19 Mar 2002 17:25:51 +0200 (EET)

> address space it has with a port option.

This is no different compared to IPv4: the office could perform NAT for
some employees but give a public IP to others.  DSTM does not change that.

(The only really workable case of ports option IMO seems to be assigning a 
few port numbers for IPv4 _servers_ that need to be globally reachable.. 
but not for ephemeral ports numbers or clients..)
 
> can be done and implemented.  But if we can get Shipworm done we can get

Note that me I, at least, didn't suggest NAT-PT as the alternative for 
DSTM ports: rather NATv4.

My main concern (as some brought up similar with Teredo) is that we 
specify IPv6 mechanisms that may not be robust, reliable etc.  I think we 
should try to leave IPv4 mess alone if possible.